<?php
/**
* @version $Id: index.php 7424 2007-05-17 15:56:10Z robs $
* @package Joomla
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
* Modified by zwiastun: english to polish
*/

// Set flag that this is a parent file
define( '_VALID_MOS', 1 );

if (file_exists( '../configuration.php' ) && filesize( '../configuration.php' ) > 10) {
	header( "Location: ../index.php" );
	exit();
}
require( '../globals.php' );
require_once( '../includes/version.php' );

/** Include common.php */
include_once( 'common.php' );
view();

/*
 * Added 1.0.11
 */
function view() {
	$sp 		= ini_get( 'session.save_path' );

	$_VERSION 		= new joomlaVersion();
	$versioninfo 	= $_VERSION->RELEASE .'.'. $_VERSION->DEV_LEVEL .' '. $_VERSION->DEV_STATUS;
	$version 		= $_VERSION->PRODUCT .' '. $_VERSION->RELEASE .'.'. $_VERSION->DEV_LEVEL .' '. $_VERSION->DEV_STATUS.' [ '.$_VERSION->CODENAME .' ] '. $_VERSION->RELDATE .' '. $_VERSION->RELTIME .' '. $_VERSION->RELTZ;

	echo "<?xml version=\"1.0\" encoding=\"iso-8859-2\"?".">";
	?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<title>Joomla! - Instalator WWW</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
	<link rel="shortcut icon" href="../images/favicon.ico" />
	<link rel="stylesheet" href="install.css" type="text/css" />
	</head>
	<body>

	<div id="wrapper">
		<div id="header">
			<div id="joomla">
				<img src="header_install.png" alt="Instalacja Joomla!" />
			</div>
		</div>
	</div>

	<div id="ctr" align="center">
		<div class="install">
			<div id="stepbar">
				<div class="step-on">Przegld ustawie</div>
				<div class="step-off">Licencja</div>
				<div class="step-off">Krok 1</div>
				<div class="step-off">Krok 2</div>
				<div class="step-off">Krok 3</div>
				<div class="step-off">Krok 4</div>
			</div>

			<div id="right">
				<div id="step">Przegld ustawie</div>

				<div class="far-right">
					<input name="Button2" type="submit" class="button" value="Dalej >>" onclick="window.location='install.php';" />
					<br/>
					<br/>
					<input type="button" class="button" value="Sprawd ponownie" onclick="window.location=window.location" />
				</div>
				<div class="clr"></div>
				<h1 style="text-align: center; border-bottom: 0px;"><?php echo $version; ?></h1>
				<h1>Ustawienia podstawowe:</h1>

				<div class="install-text">
					<p>Jeeli ktre z&nbsp;ustawie podstawowych jest wyrnione <span style="color:#f00;font-weight:bold">kolorem czerwonym</span>, doprowad do jego zmiany.</p>
					<p>Jeli tego nie zrobisz, instalacja Joomla! nie powiedzie si.<br />Moesz zignorowa jedynie zapisywanie w configuration.php.</p>
					<div class="ctr"></div>
				</div>

				<div class="install-form">
					<div class="form-block">
						<table class="content">
						<tr>
							<td class="item">
								Wersja PHP >= 4.1.0
							</td>
							<td align="left">
								<?php echo phpversion() < '4.1' ? '<b><font color="red">Nie</font></b>' : '<b><font color="green">Tak</font></b>';?>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp; - Obsuga kompresji <strong>zlib</strong>
							</td>
							<td align="left">
								<?php echo extension_loaded('zlib') ? '<b><font color="green">Dostpna</font></b>' : '<b><font color="red">Niedostpna</font></b>';?>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp; - Obsuga <strong>XML</strong>
							</td>
							<td align="left">
								<?php echo extension_loaded('xml') ? '<b><font color="green">Dostpna</font></b>' : '<b><font color="red">Niedostpna</font></b>';?>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp; - Obsuga <strong>MySQL</strong
							</td>
							<td align="left">
								<?php echo function_exists( 'mysql_connect' ) ? '<b><font color="green">Dostpna</font></b>' : '<b><font color="red">Niedostpna</font></b>';?>
							</td>
						</tr>
						<tr>
							<td valign="top" class="item">
								configuration.php
							</td>
							<td align="left">
								<?php
								if (@file_exists('../configuration.php') &&  @is_writable( '../configuration.php' )){
									echo '<b><font color="green">Zapisywalny</font></b>';
								} else if (is_writable( '..' )) {
									echo '<b><font color="green">Zapisywalny</font></b>';
								} else {
									echo '<b><font color="red">Niezapisywalny</font></b><br /><span class="small">Ale moesz kontynuowa instalacj. Instalator wywietli na zakoczenie tre pliku konfiguracyjnego. Skopiujesz j i wkleisz do pliku configuration.php na serwerze.</span>';
								}
								?>
							</td>
						</tr>
						<tr>
							<td class="item">
								Tymczasowy katalog sesji
							</td>
							<td align="left" valign="top">
								<?php echo is_writable( $sp ) ? '<b><font color="green">Zapisywalny</font></b>' : '<b><font color="red">Niezapisywalny</font></b>';?>
							</td>
						</tr>
						<tr>
							<td class="item" colspan="2">
								<b>
									<?php echo $sp ? $sp : 'Nie ustawiono'; ?>
								</b>
							</td>
						</tr>
						</table>
					</div>
				</div>
				<div class="clr"></div>
				<?php
				$wrongSettingsTexts = array();
				if ( ini_get('magic_quotes_gpc') != '1' ) {
					$wrongSettingsTexts[] = 'Zmienna PHP magic_quotes_gpc ustawiona jest na `OFF` zamiast na `ON`';
				}
				if ( ini_get('register_globals') == '1' ) {
					$wrongSettingsTexts[] = 'Zmienna PHP register_globals ustawiona jest na `ON` zamiast na `OFF`';
				}

				if ( count($wrongSettingsTexts) ) {
					?>
					<h1>Bezpieczestwo:</h1>

					<div class="install-text">
						<p>Ze wzgldw <strong>bezpieczestwa</strong> nastpujce ustawienia PHP na serwerze nie s optymalne i zalecana jest ich zmiana:</p>
						<p>Przejrzyj <a href="http://forum.joomla.org/index.php/topic,81058.0.html" target="_blank">wiadomoci Official Joomla! Server Security</a>, aby uzyska wicej informacji.</p>
						<div class="ctr"></div>
					</div>

					<div class="install-form">
						<div class="form-block" style=" border: 1px solid #cc0000; background: #ffffcc;">
							<table class="content">
							<tr>
								<td class="item">
									<ul style="margin: 0px; padding: 0px; padding-left: 5px; text-align: left; padding-bottom: 0px; list-style: none;">
										<?php
										foreach ($wrongSettingsTexts as $txt) {
											?>
											<li style="min-height: 25px; padding-bottom: 5px; padding-left: 25px; color: red; font-weight: bold; background-image: url(../includes/js/ThemeOffice/warning.png); background-repeat: no-repeat; background-position: 0px 2px;" >
												<?php
												echo $txt;
												?>
											</li>
											<?php
										}
										?>
									</ul>
								</td>
							</tr>
							</table>
						</div>
					</div>
					<div class="clr"></div>
					<?php
				}
				?>

				<h1>Ustawienia zalecane:</h1>

				<div class="install-text">
					<p>Porwnaj zalecane i&nbsp;biece ustawienia serwera.</p>
					<p>Joomla! zostanie zainstalowany i&nsbp;moe dziaa poprawnie take wwczas, gdy serwer jest skonfigurowany inaczej. Ale praca w&nbsp;niedostosowanym rodowisku moe powodowa rne problemy. Dlatego zalecamy zmian ustawie, a jeli to niemoliwe - zmian serwera.</p>
					<div class="ctr"></div>
				</div>

				<div class="install-form">
					<div class="form-block">

						<table class="content">
						<tr>
							<td class="toggle" width="500px">
								Ustawienie
							</td>
							<td class="toggle">
								Zalecane
							</td>
							<td class="toggle">
								Obecne
							</td>
						</tr>
						<?php
						$php_recommended_settings = array(array ('Safe Mode','safe_mode','OFF'),
							array ('Display Errors','display_errors','ON'),
							array ('File Uploads','file_uploads','ON'),
							array ('Magic Quotes GPC','magic_quotes_gpc','ON'),
							array ('Magic Quotes Runtime','magic_quotes_runtime','OFF'),
							array ('Register Globals','register_globals','OFF'),
							array ('Output Buffering','output_buffering','OFF'),
							array ('Session auto start','session.auto_start','OFF'),
						);

						foreach ($php_recommended_settings as $phprec) {
							?>
							<tr>
								<td class="item">
									<?php echo $phprec[0]; ?>
								</td>
								<td class="toggle">
									<?php echo $phprec[2]; ?>
								</td>
								<td>
									<b>
										<?php
										if ( get_php_setting($phprec[1]) == $phprec[2] ) {
											?>
											<font color="green">
											<?php
										} else {
											?>
											<font color="red">
											<?php
										}
										echo get_php_setting($phprec[1]);
										?>
										</font>
									</b>
								<td>
							</tr>
							<?php
						}
						?>
						</table>
					</div>
				</div>
				<div class="clr"></div>

				<h1>Dostp do katalogw i plikw:</h1>

				<div class="install-text">
					<p>Aby Joomla! dziaa poprawnie, musi dokonywa wpisw w&nbsp;pewnych katalogach i plikach.</p>
					<p>Jeeli widzisz gdzie uwag, e&nbsp;zapisywanie w katalogu jest niemoliwe, musisz zmieni prawa dostpu do tego katalogu (np. skorzystaj z klienta FTP i&nbsp;ustaw prawa na 0755).
					</p>
					<div class="clr">&nbsp;&nbsp;</div>
					<div class="ctr"></div>
				</div>

				<div class="install-form">
					<div class="form-block">
						<table class="content">
						<?php
						writableCell( 'administrator/backups' );
						writableCell( 'administrator/components' );
						writableCell( 'administrator/modules' );
						writableCell( 'administrator/templates' );
						writableCell( 'cache' );
						writableCell( 'components' );
						writableCell( 'images' );
						writableCell( 'images/banners' );
						writableCell( 'images/stories' );
						writableCell( 'language' );
						writableCell( 'mambots' );
						writableCell( 'mambots/content' );
						writableCell( 'mambots/editors' );
						writableCell( 'mambots/editors-xtd' );
						writableCell( 'mambots/search' );
						writableCell( 'mambots/system' );
						writableCell( 'media' );
						writableCell( 'modules' );
						writableCell( 'templates' );
						?>
						</table>
					</div>
					<div class="clr"></div>
				</div>


				<div class="clr"></div>
			</div>
			<div class="clr"></div>
		</div>
	</div>

	<div class="ctr">
		<a href="http://www.joomla.org" target="_blank">Joomla!</a> jest Wolnym Oprogramowaniem udostpnianym na licencji GNU/GPL w wersji 2.0.
	</div>

	</body>
	</html>
	<?php
}

function get_php_setting($val) {
	$r =  (ini_get($val) == '1' ? 1 : 0);
	return $r ? 'ON' : 'OFF';
}

function writableCell( $folder, $relative=1, $text='' ) {
	$writeable 		= '<b><font color="green">Zapisywalny</font></b>';
	$unwriteable 	= '<b><font color="red">Niezapisywalny</font></b>';

	echo '<tr>';
	echo '<td class="item">' . $folder . '/</td>';
	echo '<td align="right">';
	if ( $relative ) {
		echo is_writable( "../$folder" ) 	? $writeable : $unwriteable;
	} else {
		echo is_writable( "$folder" ) 		? $writeable : $unwriteable;
	}
	echo '</tr>';
}
?>