<?php

$color = $color_default;
$width = $width_default;
$font_size = $font_size_default;

getUserSetting();

function getUserSetting(){
	global $color, $font_size, $width, $menutype, $template_name, $template_absolute_path ;
	global $font_size_default, $color_default, $width_default;

	if (isset($_COOKIE['Theme']) && $_COOKIE['Theme'] == $template_name){
		if (isset($_COOKIE['ColorCSS']) && $_COOKIE['ColorCSS']){
			$color = $_COOKIE['ColorCSS'];
		}
		if (isset($_COOKIE['ScreenType'])){
			$width = $_COOKIE['ScreenType'];
		}
		if (isset($_COOKIE['FontSize'])){
			$font_size = $_COOKIE['FontSize'];
		}
	}else{
		$exp = time() + 60*60*24*355;
		setcookie ('Theme', $template_name, $exp, '/');
		setcookie ('ColorCSS', $color_default, $exp, '/');
		setcookie ('ScreenType', $width_default, $exp, '/');
		setcookie ('FontSize', $font_size_default, $exp, '/');
	}

	if (!is_file("$template_absolute_path/css/colors/$color.css")) $color = $color_default;
}

function getCurrentURL(){
	$cururl = mosGetParam( $_SERVER, 'REQUEST_URI', '' );
	if(($pos = strpos($cururl, "index.php"))!== false){
		$cururl = substr($cururl,$pos);
	}
	$cururl =  sefRelToAbs($cururl);
	$cururl =  ampReplace($cururl);
	return $cururl;
}

function genMenuHead(){
	global $template_path,$menutype, $tool,$font_size;
	$html = "";

		$html = '<link href="'.$template_path.'/cssmenu/sosdmenu.css" rel="stylesheet" type="text/css" />
					<script language="javascript" type="text/javascript" src="'. $template_path.'/cssmenu/cssmenu.js"></script>';


	if ($tool){
	?>
		<script type="text/javascript">
		var currentFontSize = <?php echo $font_size; ?>;
		</script>
	<?php
	}
	echo $html;
}

function genColorHead(){
if ($patern & 2){
	global $color_themes, $color, $template_path, $tool;
	$html = '';
	foreach ($color_themes as $color_theme) {
		if ($color == $color_theme){
			$html .= '<link href="'.$template_path.'/css/colors/'.$color_theme.'.css" rel="stylesheet" type="text/css" title="'.$color_theme.'" />'."\n";
		}else{
			if ($tool & 2) //Load this css when color tool enabled
				$html .= '<link href="'.$template_path.'/css/colors/'.$color_theme.'.css" rel="alternate stylesheet" type="text/css" title="'.$color_theme.'" />'."\n";
		}
	}
	echo $html;
}
else{
	global $color_themes, $color, $template_path, $tool;
	$html = '';
	foreach ($color_themes as $color_theme) {
		if ($color == $color_theme){
			$html .= '<link href="'.$template_path.'/css/colors/'.$color_theme.'-nopatern.css" rel="stylesheet" type="text/css" title="'.$color_theme.'" />'."\n";
		}else{
			if ($tool & 2) //Load this css when color tool enabled
				$html .= '<link href="'.$template_path.'/css/colors/'.$color_theme.'-nopatern.css" rel="alternate stylesheet" type="text/css" title="'.$color_theme.'" />'."\n";
		}
	}
	echo $html;
}
}


function genToolMenu($tool){
	global $template_path,$font_size_default, $font_size, $color_themes, $width, $color;
	if ($tool & 1){//show screen tools
		?>
		<span class="usertools">
		<a href="#Increase" onclick="changeFontSize(1); return false;"><img title="Increase font size" src="<?php echo $template_path;?>/images/<?php echo $color?>/user-increase.gif" alt="Increase font size" id="ja-tool-increase" /></a>
	    <a href="#Decrease" onclick="changeFontSize(-1); return false;"><img title="Decrease font size" src="<?php echo $template_path;?>/images/<?php echo $color?>/user-decrease.gif" alt="Decrease font size" id="ja-tool-decrease" /></a>
	    <a href="#Default" onclick="revertStyles(<?php echo $font_size_default;?>); return false;"><img title="Default size" src="<?php echo $template_path;?>/images/<?php echo $color?>/user-reset.gif" alt="Default font size" id="ja-tool-reset" /></a>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	    <a href="#Narrow" onclick="setScreenType('narrow');return false;"><img title="Narrow screen" src="<?php echo $template_path;?>/images/<?php echo $color?>/user-screen1<?php echo ( ($width=="narrow") ? "-hilite" : "" ) ?>.gif" alt="Narrow screen resolution" id="tool-narrow" onclick="changeToolHilite(curtool, this);curtool=this;" /></a>
	    <a href="#Wide" onclick="setScreenType('wide');return false;"><img title="Wide screen" src="<?php echo $template_path;?>/images/<?php echo $color?>/user-screen2<?php echo ( ($width=="wide") ? "-hilite" : "" ) ?>.gif" alt="Wide screen resolution" id="tool-wide" onclick="changeToolHilite(curtool, this);curtool=this;" /></a>
	    <a href="#Auto" onclick="setScreenType('auto');return false;"><img title="Auto adjust screen size" src="<?php echo $template_path;?>/images/<?php echo $color?>/user-screen3<?php echo ( ($width=="auto") ? "-hilite" : "" ) ?>.gif" alt="Auto adjust screen size" id="tool-auto" onclick="changeToolHilite(curtool, this);curtool=this;" /></a>
    </span>
	<script type="text/javascript">
	var curtool = document.getElementById('<?php echo "tool-$width"; ?>');
	</script>
		<?php
	}
	if ($tool & 2){//show color tools
		?>
    <span class="colorthemes">
	<?php
 	foreach ($color_themes as $color_theme) {
	?>
     	<a href="#<?php echo $color_theme;?>" onclick="setActiveStyleSheet('<?php echo $color_theme;?>');"><img style="cursor: pointer;" src="<?php echo $template_path;?>/images/<?php echo $color?>/<?php echo $color_theme;?><?php echo ( ($color==$color_theme) ? "-hilite" : "" ) ?>.gif" title="<?php echo $color_theme;?> color" alt="<?php echo $color_theme;?> color" id="tool-<?php echo $color_theme;?>color" onclick="changeToolHilite(curcolor, this);curcolor=this;return false;" /></a>
	<?php
	}
	?>
    </span>
	<script type="text/javascript">
	var curcolor = document.getElementById('<?php echo ( ($color=="") ? "tool-defaultcolor" : "tool-{$color}color" ) ?>');
	</script>
		<?php
	}
}

function loadHeader($position){
	global $template_path;
	$filename =  getImageSrc($position);
	if ($filename) {
		echo $filename;
	}
}

function getImageSrc ($position){
	global $template_path, $template_absolute_path;
	if (isset( $GLOBALS['_MOS_MODULES'][$position] )) {
		$modules = $GLOBALS['_MOS_MODULES'][$position];
	} else {
		$modules = array();
	}
	foreach ($modules as $module){
		$filename = $module->title;
		$regex = '/(\.gif)|(.jpg)|(.png)|(.bmp)$/i';
		if (is_file($template_absolute_path."/images/header/".$filename) && preg_match($regex, $filename)) {
			return "$template_path/images/header/" . $filename;
		}
	}
	return "";
}

function getCurrentMenuIndex(){
	global $Itemid, $database, $mosConfig_shownoauth, $my;
	//Get top menu id;
	$id = $Itemid;
	$menutype = 'mainmenu';
	$ordering = '0';
	while (1){
		$sql = "select parent, menutype, ordering from #__menu where id = $id limit 1";
		$database->setQuery($sql);
		$row = null;
		$database->loadObject($row);
		if ($row) {
			$menutype = $row->menutype;
			$ordering = $row->ordering;
			if ($row->parent > 0)
			{
				$id = $row->parent;
			}else break;
		}else break;
	}
	if ($mosConfig_shownoauth) {
		$sql = "SELECT count(*) FROM #__menu AS m"
		. "\nWHERE menutype='". $menutype ."' AND published='1' AND parent=0 and ordering < $ordering";
	} else {
		$sql = "SELECT count(*) FROM #__menu AS m"
		. "\nWHERE menutype='". $menutype ."' AND published='1' AND access <= '$my->gid' AND parent=0 and ordering < $ordering";
	}
	$database->setQuery($sql);

	return $database->loadResult();
}
?>
